; entering transponders from a list into STB channel editor
; source: http://www.dusko-lolic.from.hr/
; script interpreter: http://www.autohotkey.com/
; transponder lists: http://www.fastsatfinder.com/transponders.html

; SetEditor (DigitAll World)
; Prior to running the script, open the SetEditor, select the satelite and delete all the transponders

inifile=all.ini ;ini file containing transponders in progdvb format
satellite=0130 ;ini file section containing the satellite data

winactivate SetEditor ;activate the channel editor
ifwinnotactive SetEditor
exit ;exit if the STB_Manager window does not exist or cannot be activated

IniRead, Counter, %inifile%, %satellite%, 0 ;key 0 contains the number of transponders for the satellite
loop,%Counter%
{
IniRead, transponder, %inifile%, %satellite%, %a_index%
stringsplit param,transponder,`, ;splits "12070,H,27500,34" by comma delimeter
; %param1% is frequency, %param2% polarization, %param3% symbol rate
click,right,278,104 ;right click into transponder list
send,n ;choose "New"
send,{Tab}{Tab} ;select the frequency field
send %param1% ;enter the frequency
send,{Tab} ;move to polarization
ifequal param2,H ;if polarization is horizontal
  send,{Up} ;select Horizontal (upper option) from the drop box
else
  send,{Down} ;otherwise select Vertical (lower option) from the drop box
send,{Tab} ;move to symbol rate
send %param3% ;enter symbol rate
send,{Tab}{Tab} ;move to OK button
send {enter} ;press the OK button
sleep,300 ;wait a bit
} ;repeat loop for each transponder
