; entering transponders from a list into STB channel editor
; source: http://www.dusko-lolic.from.hr/
; script interpreter: http://www.autohotkey.com/
; transponder lists: http://www.fastsatfinder.com/transponders.html

;STB_Manager (Koscom and many, many others)
;Prior to running the script, open the STB_Manager and manually select the satelite first!

inifile=all.ini ;ini file containing transponders in progdvb format
satellite=0130 ;ini file section containing the satellite data

winactivate STB_Manager ;activate the channel editor
ifwinnotactive STB_Manager
exit ;exit if the STB_Manager window does not exist or cannot be activated

click 250,250 ;select the "transponders" field by clicking
IniRead, Counter, %inifile%, %satellite%, 0 ;key 0 contains the number of transponders for the satellite
loop,%Counter%
{
IniRead, transponder, %inifile%, %satellite%, %a_index%
stringsplit param,transponder,`, ;splits "12070,H,27500,34" by comma delimeter
; %param1% is frequency, %param2% polarization, %param3% symbol rate
send {AppsKey}nt ;context menu -> new -> transponder
send %param1% ;enter frequency
send {tab} ;move to polarization
send %param2% ;enter polarization
send {tab} ;move to symbol rate
send %param3% ;enter symbol rate
send {enter} ;finish the entry
} ;repeat loop for each transponder
